Last Comment Bug 408323 - Import of mail from Outlook 2003 fails completely
: Import of mail from Outlook 2003 fails completely
Status: VERIFIED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Migration (show other bugs)
: Trunk
: x86 Windows XP
: P3 critical (vote)
: Thunderbird 3.0b1
Assigned To: Siva
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 22:17 PST by Bob Riley
Modified: 2008-11-05 18:21 PST (History)
4 users (show)
mkmelin+mozilla: blocking‑thunderbird3+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fixes outlook mail import (5.01 KB, patch)
2008-10-21 12:51 PDT, Siva
neil: review+
Details | Diff | Review
Changes as per comment #6 [Checkin: Comment 10] (3.85 KB, patch)
2008-11-03 00:33 PST, Siva
mozilla: superreview+
Details | Diff | Review

Description Bob Riley 2007-12-13 22:17:04 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11
Build Identifier: Eudora 8.0.0b2

I used the <tools-import mail>, then in the next screen, selected Outlook, then <next> and the import started.  I couldn't read anything that was in any of the folder.  No messages were listed.  Nor did the import program ask me which .pst file to import from (that is important, since I have several, only one of which was current).

Reproducible: Always

Steps to Reproduce:
1.See above
2.
3.
Actual Results:  
The folders were imported, but the messages from Outlook 2003 were not imported successfully - none of them.

Expected Results:  
The Outlook 2003 mail and folders would be successfully imported AFTER Eudora asks me which .pst file to import FROM.

?
Comment 1 Matt Dudziak 2008-02-19 11:41:27 PST
It fails for me as well. Trying to 'Import Everything' crashes. Trying to import just the mail from Outlook fails to import any mail (though the fact that I do not have 'local folders', ie, just IMAP/MAPI might account for that). Unfortunately Outlook importing is a lower priority for us than importing from Eudora, so this will likely have to wait a while.

Would be interesting to know if you have the same problem importing using the latest Thunderbird as well.

Matt

Comment 2 Przemyslaw Bialik 2008-03-24 09:19:53 PDT
Confirming the bug on Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9b5pre) Gecko/2008032302 Thunderbird/3.0a1pre ID:2008032302

Import everything crashes for me only if I select Outlook Express - bug 419597

I couldn't find version of this bug filed for Thunderbird so maybe it would be better to change the product ?

Comment 3 Przemyslaw Bialik 2008-10-16 10:52:54 PDT
Changing product to Thunderbird, fix in Thunderbird would fix it also for the Penelope.
Comment 4 Przemyslaw Bialik 2008-10-16 10:55:05 PDT
Requesting blocking.
Comment 5 Siva 2008-10-21 12:51:06 PDT
Created attachment 344157 [details] [diff] [review]
Fixes outlook mail import

Two issues identified.
1) 'pMsg' sent to nsOutlookCompose::SendTheMessage is modified locally only and changes do not reach nsOutlookMail::ImportMailbox.
2) 'destOutputStream' is created afresh for every mail => each mail overwrites previous mail.

Attached patch addressing these issues. Import from outlook 2007 works fine with it.
Comment 6 neil@parkwaycc.co.uk 2008-10-24 08:37:06 PDT
Comment on attachment 344157 [details] [diff] [review]
Fixes outlook mail import

>   if (pListen->m_location) {
>-                pListen->m_location->Clone(&pMsg);
>+                pListen->m_location->Clone(pMsg);
If only nsIMsgSendListener used an nsILocalFile instead of an nsIFile this could have been pMsg->InitWithLocalFile(pListen->m_location) to match the intent of the original nsFileSpec code. Oh well. Anyway, while you're here, can you fix the indentation on this line, it seems to be 12 spaces too many.

>-  nsresult  SendTheMessage( nsIFile *pMsg, nsMsgDeliverMode mode, nsCString &useThisCType);
>+  nsresult  SendTheMessage( nsIFile **pMsg, nsMsgDeliverMode mode, nsCString &useThisCType);
Nit: I'd prefer if this out parameter was made the last parameter. (I don't need a new review for this change, you don't have sr yet anyway.)

>+        nsCOMPtr<nsIFile>  compositionFile;
Nit: once space between > and c please. (I know, this is just moved code.)
Comment 7 Przemyslaw Bialik 2008-11-02 09:47:15 PST
Siva, could you please attach updated patch so it could be checked in (same with Bug 455229)
Comment 8 Siva 2008-11-03 00:33:35 PST
Created attachment 346009 [details] [diff] [review]
Changes as per comment #6
[Checkin: Comment 10]

Updated patch with comments from Neil. 
David, can you sr this?
Comment 9 David :Bienvenu 2008-11-03 06:13:28 PST
Comment on attachment 346009 [details] [diff] [review]
Changes as per comment #6
[Checkin: Comment 10]

thx for fixing this
Comment 10 Serge Gautherie (:sgautherie) 2008-11-03 09:42:33 PST
Comment on attachment 346009 [details] [diff] [review]
Changes as per comment #6
[Checkin: Comment 10]

http://hg.mozilla.org/comm-central/rev/ed3b01f09992

NB: Please, attach Hg patch in the future.
Comment 11 Przemyslaw Bialik 2008-11-05 11:50:07 PST
Serge: could you also checkin patch from Bug 455229 ?

Thank you Siva for the patches!

-> VERIFIED
(the wizard is little buggy comparing to the 2.0 but with Outlook as default mail client it imports properly, will file follow-up bugs later on)

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081105 Lightning/1.0pre Shredder/3.0b1pre
Comment 12 Serge Gautherie (:sgautherie) 2008-11-05 18:21:57 PST
(In reply to comment #11)
> Serge: could you also checkin patch from Bug 455229 ?

This has not been requested there (yet).

Note You need to log in before you can comment on or make changes to this bug.